zenilib: TiXmlText Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Friends | List of all members
TiXmlText Class Reference

`#include <tinyxml.h>`

Inherits TiXmlNode.

## Public Member Functions

| TiXmlText (const char *initValue)
| TiXmlText (const TiXmlText &copy)
virtual | ~TiXmlText ()
virtual bool | Accept (TiXmlVisitor *content) const
bool | CDATA () const
| Queries whether this represents text using a CDATA section. More...
void | operator= (const TiXmlText &base)
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
virtual void | Print (FILE *cfile, int depth) const
void | SetCDATA (bool _cdata)
| Turns on or off a CDATA representation of text. More...
virtual const TiXmlText * | ToText () const
| Cast to a more defined type. Will return null not of the requested type. More...
virtual TiXmlText * | ToText ()
| Cast to a more defined type. Will return null not of the requested type. More...
Public Member Functions inherited from TiXmlNode
virtual | ~TiXmlNode ()
void | Clear ()
| Delete all the children of this node. Does not affect 'this'. More...
const TiXmlNode * | FirstChild () const
| The first child of this node. Will be null if there are no children. More...
TiXmlNode * | FirstChild ()
const TiXmlNode * | FirstChild (const char *value) const
TiXmlNode * | FirstChild (const char *_value)
| The first child of this node with the matching 'value'. Will be null if none found. More...
const TiXmlElement * | FirstChildElement () const
| Convenience function to get through elements. More...
TiXmlElement * | FirstChildElement ()
const TiXmlElement * | FirstChildElement (const char *_value) const
| Convenience function to get through elements. More...
TiXmlElement * | FirstChildElement (const char *_value)
const TiXmlDocument * | GetDocument () const
TiXmlDocument * | GetDocument ()
TiXmlNode * | InsertAfterChild (TiXmlNode *afterThis, const TiXmlNode &addThis)
TiXmlNode * | InsertBeforeChild (TiXmlNode *beforeThis, const TiXmlNode &addThis)
TiXmlNode * | InsertEndChild (const TiXmlNode &addThis)
const TiXmlNode * | IterateChildren (const TiXmlNode *previous) const
TiXmlNode * | IterateChildren (const TiXmlNode *previous)
const TiXmlNode * | IterateChildren (const char *value, const TiXmlNode *previous) const
| This flavor of IterateChildren searches for children with a particular 'value'. More...
TiXmlNode * | IterateChildren (const char *_value, const TiXmlNode *previous)
const TiXmlNode * | LastChild () const
TiXmlNode * | LastChild ()
| The last child of this node. Will be null if there are no children. More...
const TiXmlNode * | LastChild (const char *value) const
TiXmlNode * | LastChild (const char *_value)
| The last child of this node matching 'value'. Will be null if there are no children. More...
TiXmlNode * | LinkEndChild (TiXmlNode *addThis)
const TiXmlNode * | NextSibling () const
| Navigate to a sibling node. More...
TiXmlNode * | NextSibling ()
const TiXmlNode * | NextSibling (const char *) const
| Navigate to a sibling node with the given 'value'. More...
TiXmlNode * | NextSibling (const char *_next)
const TiXmlElement * | NextSiblingElement () const
TiXmlElement * | NextSiblingElement ()
const TiXmlElement * | NextSiblingElement (const char *) const
TiXmlElement * | NextSiblingElement (const char *_next)
bool | NoChildren () const
| Returns true if this node has no children. More...
TiXmlNode * | Parent ()
| One step up the DOM. More...
const TiXmlNode * | Parent () const
const TiXmlNode * | PreviousSibling () const
| Navigate to a sibling node. More...
TiXmlNode * | PreviousSibling ()
const TiXmlNode * | PreviousSibling (const char *) const
| Navigate to a sibling node. More...
TiXmlNode * | PreviousSibling (const char *_prev)
bool | RemoveChild (TiXmlNode *removeThis)
| Delete a child of this node. More...
TiXmlNode * | ReplaceChild (TiXmlNode *replaceThis, const TiXmlNode &withThis)
void | SetValue (const char *_value)
virtual const TiXmlComment * | ToComment () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlComment * | ToComment ()
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual const TiXmlDeclaration * | ToDeclaration () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlDeclaration * | ToDeclaration ()
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual const TiXmlDocument * | ToDocument () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlDocument * | ToDocument ()
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual const TiXmlElement * | ToElement () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlElement * | ToElement ()
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual const TiXmlUnknown * | ToUnknown () const
| Cast to a more defined type. Will return null if not of the requested type. More...
virtual TiXmlUnknown * | ToUnknown ()
| Cast to a more defined type. Will return null if not of the requested type. More...
int | Type () const
const char * | Value () const
const TIXML_STRING & | ValueTStr () const
Public Member Functions inherited from TiXmlBase
| TiXmlBase ()
virtual | ~TiXmlBase ()
int | Column () const
| See Row() More...
void * | GetUserData ()
| Get a pointer to arbitrary user data. More...
const void * | GetUserData () const
| Get a pointer to arbitrary user data. More...
int | Row () const
void | SetUserData (void *user)
| Set a pointer to arbitrary user data. More...

## Protected Member Functions

bool | Blank () const
virtual TiXmlNode * | Clone () const
| [internal use] Creates a new Element and returns it. More...
void | CopyTo (TiXmlText *target) const
Protected Member Functions inherited from TiXmlNode
| TiXmlNode (NodeType _type)
void | CopyTo (TiXmlNode *target) const
TiXmlNode * | Identify (const char *start, TiXmlEncoding encoding)

## Friends

class | TiXmlElement

## Additional Inherited Members

Public Types inherited from TiXmlNode
enum | NodeType { TINYXML_DOCUMENT, TINYXML_ELEMENT, TINYXML_COMMENT, TINYXML_UNKNOWN, TINYXML_TEXT, TINYXML_DECLARATION, TINYXML_TYPECOUNT }
Public Types inherited from TiXmlBase

enum

{
TIXML_NO_ERROR = 0, TIXML_ERROR, TIXML_ERROR_OPENING_FILE, TIXML_ERROR_PARSING_ELEMENT,
TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME, TIXML_ERROR_READING_ELEMENT_VALUE, TIXML_ERROR_READING_ATTRIBUTES, TIXML_ERROR_PARSING_EMPTY,
TIXML_ERROR_READING_END_TAG, TIXML_ERROR_PARSING_UNKNOWN, TIXML_ERROR_PARSING_COMMENT, TIXML_ERROR_PARSING_DECLARATION,
TIXML_ERROR_DOCUMENT_EMPTY, TIXML_ERROR_EMBEDDED_NULL, TIXML_ERROR_PARSING_CDATA, TIXML_ERROR_DOCUMENT_TOP_ONLY,
TIXML_ERROR_STRING_COUNT
}

Static Public Member Functions inherited from TiXmlBase
static void | EncodeString (const TIXML_STRING &str, TIXML_STRING *out)
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting. More...
static void | SetCondenseWhiteSpace (bool condense)
Static Public Attributes inherited from TiXmlBase
static const int | utf8ByteTable [256]
Static Protected Member Functions inherited from TiXmlBase
static void | ConvertUTF32ToUTF8 (unsigned long input, char *output, int *length)
static const char * | GetChar (const char *p, char *_value, int *length, TiXmlEncoding encoding)
static const char * | GetEntity (const char *in, char *value, int *length, TiXmlEncoding encoding)
static int | IsAlpha (unsigned char anyByte, TiXmlEncoding encoding)
static int | IsAlphaNum (unsigned char anyByte, TiXmlEncoding encoding)
static bool | IsWhiteSpace (char c)
static bool | IsWhiteSpace (int c)
static const char * | ReadName (const char *p, TIXML_STRING *name, TiXmlEncoding encoding)
static const char * | ReadText (const char *in, TIXML_STRING *text, bool ignoreWhiteSpace, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static const char * | SkipWhiteSpace (const char *, TiXmlEncoding encoding)
static bool | StringEqual (const char *p, const char *endTag, bool ignoreCase, TiXmlEncoding encoding)
static int | ToLower (int v, TiXmlEncoding encoding)
Protected Attributes inherited from TiXmlNode
TiXmlNode * | firstChild
TiXmlNode * | lastChild
TiXmlNode * | next
TiXmlNode * | parent
TiXmlNode * | prev
NodeType | type
TIXML_STRING | value
Protected Attributes inherited from TiXmlBase
TiXmlCursor | location
void * | userData
| Field containing a generic user pointer. More...
Static Protected Attributes inherited from TiXmlBase
static const char * | errorString [TIXML_ERROR_STRING_COUNT]

## Detailed Description

XML text. A text node can have 2 ways to output the next. "normal" output and CDATA. It will default to the mode it was parsed from the XML file and you generally want to leave it alone, but you can change the output mode with SetCDATA() and query it with CDATA().

Definition at line 1205 of file tinyxml.h.

## Constructor & Destructor Documentation

TiXmlText::TiXmlText | ( | const char * | initValue | ) |

inline

Constructor for text element. By default, it is treated as normal, encoded text. If you want it be output as a CDATA text element, set the parameter _cdata to 'true'

Definition at line 1213 of file tinyxml.h.

References TiXmlNode::SetValue().

Referenced by Clone().

virtual TiXmlText::~TiXmlText | ( |  | ) |

inlinevirtual

Definition at line 1218 of file tinyxml.h.

TiXmlText::TiXmlText | ( | const TiXmlText & | copy | ) |

inline

Definition at line 1229 of file tinyxml.h.

References CopyTo().

## Member Function Documentation

bool TiXmlText::Accept | ( | TiXmlVisitor * | content | ) | const

virtual

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

Definition at line 1314 of file tinyxml.cpp.

References TiXmlVisitor::Visit().

bool TiXmlText::Blank | ( |  | ) | const

protected

Definition at line 1628 of file tinyxmlparser.cpp.

References i, and TiXmlBase::IsWhiteSpace().

Referenced by TiXmlElement::ReadValue().

bool TiXmlText::CDATA | ( |  | ) | const

inline

Queries whether this represents text using a CDATA section.

Definition at line 1236 of file tinyxml.h.

Referenced by TiXmlPrinter::Visit(), and TiXmlPrinter::VisitEnter().

TiXmlNode * TiXmlText::Clone | ( |  | ) | const

protectedvirtual

[internal use] Creates a new Element and returns it.

Implements TiXmlNode.

Definition at line 1320 of file tinyxml.cpp.

References CopyTo(), and TiXmlText().

void TiXmlText::CopyTo | ( | TiXmlText * | target | ) | const

protected

Definition at line 1307 of file tinyxml.cpp.

References TiXmlNode::CopyTo().

Referenced by Clone(), operator=(), and TiXmlText().

void TiXmlText::operator= | ( | const TiXmlText & | base | ) |

inline

Definition at line 1230 of file tinyxml.h.

References CopyTo().

const char * TiXmlText::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding
| ) |  |

virtual

Implements TiXmlBase.

Definition at line 1495 of file tinyxmlparser.cpp.

References TiXmlNode::GetDocument(), TiXmlBase::ReadText(), TiXmlDocument::SetError(), TiXmlBase::StringEqual(), TiXmlBase::TIXML_ERROR_PARSING_CDATA, and TIXML_STRING.

Referenced by TiXmlElement::ReadValue().

void TiXmlText::Print | ( | FILE * | cfile,
|  | int | depth
| ) |  | const

virtual

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

Definition at line 1286 of file tinyxml.cpp.

References assert, TiXmlBase::EncodeString(), i, and TIXML_STRING.

void TiXmlText::SetCDATA | ( | bool | _cdata | ) |

inline

Turns on or off a CDATA representation of text.

Definition at line 1238 of file tinyxml.h.

Referenced by TiXmlNode::Identify().

virtual const TiXmlText* TiXmlText::ToText | ( |  | ) | const

inlinevirtual

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

Definition at line 1242 of file tinyxml.h.

virtual TiXmlText* TiXmlText::ToText | ( |  | ) |

inlinevirtual

Cast to a more defined type. Will return null not of the requested type.

Reimplemented from TiXmlNode.

Definition at line 1243 of file tinyxml.h.

## Friends And Related Function Documentation

friend class TiXmlElement

friend

Definition at line 1207 of file tinyxml.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/tinyxml/tinyxml.h
- zenilib/jni/external/tinyxml/tinyxml.cpp
- zenilib/jni/external/tinyxml/tinyxmlparser.cpp